## ftgl 2.1.3~rc5

=== debian/changelog ===
ftgl (2.1.3~rc5-4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS at generation of pdf doc (Closes: #718100).
  * Switch to multiarch (Closes: #734159), but don't mark the -dev package
    as such, as it was not tested as such.
  * Include debian/watch from Nick Black (Closes: #697863).
  * Update libtool at build time using dh-autoreconf, in order to fix a
    build failure on x32 (Daniel Schepler, Closes: #701732).

 -- Yann Dirson <dirson@debian.org>  Sun, 05 Jan 2014 17:20:22 +0100

ftgl (2.1.3~rc5-4) unstable; urgency=low

  * drop doxygen and texlive-* (except texlive-fonts-recommended) and
    add doxygen-latex as a build dependency (Closes: #616215), patch
    courtesy of Mònica Ramírez Arceda <monica@probeta.net>.
  * debian/rules: add required libraries to GLUT_LIBS to build with
    binutils-gold (Closes: #554413).
  * debian/patches/patch-ftglgetlayoutbbox-typo.diff: fix a typo in the
    C bindings, courtesy of Wesley Hirsch (Closes: #580451).
  * Also, I don’t want this package to be orphaned! (Closes: #648650).

 -- Sam Hocevar <sho@debian.org>  Sat, 26 Nov 2011 11:02:46 +0100

ftgl (2.1.3~rc5-3) unstable; urgency=low

  * Change package format to 3.0 (quilt).
  * debian/control:
    + epstopdf was moved to texlive-font-utils, build-depending on it
      instead of texlive-extra-utils (Closes: #562315).
    + Set policy to 3.8.3.
    + Add ${misc:Depends} to all package dependencies.

 -- Sam Hocevar <sho@debian.org>  Sun, 03 Jan 2010 14:00:17 +0100

ftgl (2.1.3~rc5-2) unstable; urgency=low

  * debian/rules:
    + Make the package parralel-build safe. Thanks to Paul Wise for the hint.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 16 Jun 2008 14:32:00 +0000

ftgl (2.1.3~rc5-1) unstable; urgency=low

  * New development snapshot.
  * API is now stable, uploading to unstable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 15 Jun 2008 17:12:15 +0200

ftgl (2.1.3~rc4-1) experimental; urgency=low

  * New development snapshot.
  * debian/control:
    + Set policy to 3.8.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 09 Jun 2008 11:56:12 +0000

ftgl (2.1.3~rc3-2) experimental; urgency=low

  * debian/control:
    + Build-depend on texlive-latex-recommended and texlive-fonts-recommended
      so that a4.sty, a4wide.sty and the appropriate fonts are present.
    + Build-depend on ghostscript because texlive-extra-utils only recommends
      it (despite shipping eps2pdf).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 12 May 2008 11:55:15 +0000

ftgl (2.1.3~rc3-1) experimental; urgency=low

  * New development snapshot.
  * debian/control: build-depend on doxygen, imagemagick, texlive-latex-base,
    texlive-base-bin, texlive-extra-utils to build documentation
    (Closes: #480048).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 11 May 2008 22:27:30 +0000

ftgl (2.1.3~rc2-1) experimental; urgency=low

  * New development snapshot. Fixes a few upstream bugs.

  * debian/control: build-depend on libcppunit-dev to fix an FTBFS
    (Closes: #479356).
  * debian/libftgl-dev.examples: add the simple demos as examples.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 07 May 2008 07:24:51 +0000

ftgl (2.1.3~rc1-1) experimental; urgency=low

  * Snapshot from upstream's development tree, targeted at experimental so
    that people can try dynamically linking with libftgl.
  * Ship full HTML documentation (Closes: #257155).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Apr 2008 12:15:11 +0000

ftgl (2.1.2-4) unstable; urgency=low

  * New maintainer (Closes: #471983).

  * debian/control:
    + Do not build-depend on g++ (Closes: #268594).
    + Changed 'libglut3-dev | glutg3-dev' build-dependency to freeglut3-dev
      (Closes: #394492).
    + Uncapitalised short description.
    + Set policy to 3.7.3.
    + Add Vcs control fields.

  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.
    + Use quilt for patch management.

  * debian/patches/000_package_version.diff:
    + New patch. Fix the version string in .pc files (Closes: #274400).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Apr 2008 09:00:51 +0000

ftgl (2.1.2-3) unstable; urgency=low

  * src/FTVectoriser.cpp, unix/config.guess, unix/config.sub: patch and
    update for GNU/kFreeBSD.  Thanks Petr Salinger.  closes: bug#340720
  * include/FTTextureGlyph.h: funny bug.  Remove class qualification
    from static method declaration.  Thanks Martin Michlmayr.  closes:
    bug#355744
  * unix/ftgl.pc.in: hack to include -I/usr/include/FTGL in the include
    flags.  Thanks Jonathan Brandmeyer.  closes: bug#257660
  * debian/control: {build}-depend on libGLU.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 28 Apr 2006 11:44:43 -0600

ftgl (2.1.2-2) unstable; urgency=low

  * debian/control: (build-)?depend on xlibmesa-gl-dev | libgl-dev.
    Thanks Matthias.  Closes: bug#311282.
  * debian/rules: build a _pic library, just like the X packages do.
    (closes: bug# 315330)
  * Please note that the previous change means that the packages that
    build shared libraries which include FTGL are _broken_ now.  These
    include gem and vtk, perhaps blender.
  * debian/control: change libstdc++-dev dependency to g++.  g++ is an
    actual package, libstdc++-dev is a virtual one.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 02 Jul 2005 18:39:41 -0600

ftgl (2.1.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 20 Dec 2004 21:07:44 -0600

ftgl (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Ack NMU (closes: bug#226956)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 17 May 2004 15:43:09 -0600

ftgl (2.0.7-1.1) unstable; urgency=low

  * NMU: recompiled with -fPIC, which is needed for building gem
    (closes: #226956)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 29 Feb 2004 17:38:49 +0100


