=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/ \
http://sf.net/ftgl/ftgl-([-\d\.rc]+)\.tar\.gz
