=== debian/changelog ===
ftgl (2.4.0-6) unstable; urgency=medium

  * Adopt game library inside Games Team (Closes: #1011563)
  * Disable PDF generation again, see #1114467
  * Add debian/clean (Closes: #1044185)
  * Add debian/salsa-ci.yml
  * Switch to debhelper-compat 13
  * Update standards version to 4.7.2, no changes needed.

  [ Manuel A. Fernandez Montecelo ]
  * d/copyright_hints: adapt to latest changes upstream

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields

 -- Alexandre Detiste <tchet@debian.org>  Thu, 23 Oct 2025 11:39:01 +0200

ftgl (2.4.0-5) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Ognyan Kulev <ogi@debian.org>  Sat, 26 Oct 2024 07:22:09 +0200

ftgl (2.4.0-4) unstable; urgency=medium

  * Fix FTBFS by applying https://github.com/frankheckenbach/ftgl/pull/20 as
    suggested by Mattias Ellert <mattias.ellert@physics.uu.se>.
    (Closes: #1081861)

 -- Ognyan Kulev <ogi@debian.org>  Sat, 19 Oct 2024 20:40:45 +0200

ftgl (2.4.0-2) unstable; urgency=medium

  * Install ftgl.pdf file again, the external problem generating PDF file
    was fixed (#921779)
  * d/patches:
    - drop disable-pdf.patch
  * Bump SHLIBVER to 2.4.0, there are new methods/functions in the
    interface compared to older releases

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Feb 2019 16:52:23 +0100

ftgl (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes problem with some applications's rendering of fonts by
      reverting to old behaviour by default, but it will be revisited in
      next upstream major releases (Closes: #914153)
  * d/watch: Update pattern, some versions don't start with 'v' in the
    tags of this repo
  * d/patches:
    - drop substitute-freetype-config.patch, applied upstream
    - drop enable-docs.patch, applied upstream
    - drop fix-pdf-generation, applied upstream
    - drop patch-relibtoolize-prep.diff, applied upstream
    - add disable-pdf.patch, problem generating PDF file
    - add fix-doc-projects-eman2.patch, fix duplicated entry in doc
  * Do not install ftgl.pdf file, it cannot be generated at the moment and
    probably it's not very useful (HTML doc is still shipped)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 08 Feb 2019 02:25:02 +0100

ftgl (2.3.0-3) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Copyright improvements:
    - d/copyright: convert to standard format 1.0
    - d/rules: add "licensecheck" target
    - d/copyright_hints: helper to generate copyright file
  * d/patches:
    - document (add headers) to patches enable-docs.patch and
      substitute-freetype-config.patch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Nov 2018 00:26:46 +0100

ftgl (2.3.0-2) unstable; urgency=medium

  * Release to unstable
  * d/watch: Update for new upstream location
  * d/control: Update Homepage URL

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 18 Nov 2018 23:48:43 +0100

ftgl (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - Closes: #531489, #589601, #742469, #760571
    - drop patch patch-ftglgetlayoutbbox-typo.diff, applied upstream
    - edit patch fix-pdf-generation to not include Makefile.in, which does
      not exist in this new release, and Makefile.am which changed slightly
    - refresh patch patch-relibtoolize-prep.diff
    - add enable-docs.patch to build docs by default
  * Add substitute-freetype-config.patch for new versions of freetype
    which do not ship freetype-config (Closes: #887712)
  * Add Build-Depends on pkg-config

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 15:54:55 +0200

ftgl (2.1.3~rc5-5) unstable; urgency=medium

  * Add myself to Uploaders
  * Bump Policy Standards-Version to 4.2.1
  * Update Vcs-* URLs
  * Add Homepage field
  * Drop Conflicts/Replaces on ancient versions of ftgl-dev
  * Drop unnecessary .dirs files
  * Switch to debhelper compat level v11 (from 5)
    - revamp d/rules, reducing it significantly
  * Add "Rules-Requires-Root: no"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 30 Sep 2018 17:30:00 +0200

ftgl (2.1.3~rc5-4+nmu1.2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.
  * Drop transitional package ftgl-dev (Closes: #878529)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags (Closes: #848949)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 29 Nov 2017 01:08:59 +0100

ftgl (2.1.3~rc5-4+nmu1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-arch and build-indep targets, patch by Santiago Vila (Closes:
    #821983).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 26 Nov 2016 22:25:04 +0500
