=== debian/control ===
Source: ftgl
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libfreetype-dev,
 libcppunit-dev,
 doxygen-latex,
 ghostscript,
 imagemagick,
 pkgconf,
 texlive-fonts-recommended,
Standards-Version: 4.7.2
Homepage: https://github.com/frankheckenbach/ftgl
Vcs-Git: https://salsa.debian.org/games-team/ftgl.git
Vcs-Browser: https://salsa.debian.org/games-team/ftgl

Package: libftgl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libftgl2 (= ${binary:Version}),
 libfreetype-dev (>> 2.0.9),
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
Description: development files for libftgl
 FTGL binds OpenGL and FreeType together in order to offer and easy to use
 and flexible text rendering library.  It offers several rendering modes:
 as polygons, outlines, bitmaps and textures.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libftgl.

Package: libftgl2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: library to render text in OpenGL using FreeType
 FTGL binds OpenGL and FreeType together in order to offer and easy to use
 and flexible text rendering library.  It offers several rendering modes:
 as polygons, outlines, bitmaps and textures.
 .
 This package contains the shared library for libftgl.
