=== debian/watch ===
Version: 5

Template: GitHub
Owner: frankheckenbach
Project: ftgl
